.info a {
	color: inherit;
}
.info a:hover,
.info a:focus,
.info a:active {
	color: var(--color-active);
}
dl.meta {
	border-top: 1px solid var(--color-grey-lighter);
	border-bottom: 1px solid var(--color-grey-lighter);
}
dl.meta > div {
	display: grid;
	gap: 0 1rem;
	grid-template-columns: 12ch 1fr;
	padding-block: 0.5rem;
}
dl.meta > div + div {
	border-top: 1px solid var(--color-grey-lighter);
}
dl.meta dt {
	margin: 0; padding: 0;
}
dl.meta dd {
	margin: 0; padding: 0;
	font-weight: bold;
}
dl.meta dd ul {
	margin: 0; padding: 0;
	list-style-type: none;
}
dl.meta dd ul li {
	margin: 0; padding: 0;
}
dl.meta dd ul li + li {
	margin-block-start: 0.5rem;
}
dl.meta dd ul .active a {
	color: var(--color-active);
	text-decoration: none;
}
dl.meta .date {
	display: block;
	font-size: 1em;

}

.section {
	--color-heading: var(--text-color);
	color: var(--text-color);
	background-color: var(--bg-color);
	padding-block-end: var(--section-padding-block-end,2rem);
}
.section.sticky {
	/*position: sticky;
	top: var(--header-height );
	min-height: 50vh;*/
}
.section .teaser-item,
.section .teaser-item:hover,
.section .teaser-item:focus,
.section .teaser-item:active {
	border: none;
}
.section.primary {
	--color-active: var(--color-secondary);
	--text-color: var(--color-white);
	--bg-color: var(--color-primary);
}
.section.secondary {
	--color-active: var(--color-grey-lighter);
	--text-color: var(--color-black);
	--bg-color: var(--color-secondary);
}
.section.tertiary {
	--color-active: var(--color-secondary);
	--text-color: var(--color-black);
	--bg-color: var(--color-tertiary);
}
.section.quarternary {
	--color-active: var(--color-secondary);
	--text-color: var(--color-black);
	--bg-color: var(--color-quarternary);
}
.section.quintenary {
	--color-active: var(--color-secondary);
	--text-color: var(--color-black);
	--bg-color: var(--color-quintenary);
}
.section.complementary {
	--color-active: var(--color-grey-lighter);
	--text-color: var(--color-white);
	--bg-color: var(--color-complementary);
}
/* kirby grids */
.grid {
  --columns: 12;
  --gutter: 3rem;
  display: grid;
  grid-gap: var(--gutter);
  grid-template-columns: 1fr;
}


.autogrid {
  --gutter: 3rem;
  --min: 10rem;
  display: grid;
  grid-gap: var(--gutter);
  grid-template-columns: repeat(auto-fit, minmax(var(--min), 1fr));
  grid-auto-flow: dense;
}
@media screen and (min-width: 60rem) {
  body {
    --padding: 3rem;
  }

  .grid {
    grid-template-columns: repeat(12, 1fr);
  }
  .grid > .column {
    grid-column: span var(--columns);
  }
  .grid > .column {
	  margin-bottom: var(--gutter);
	}

}
/* kirby layout/blocks */
.layout.grid {
	display: grid;
	grid-template-columns: repeat(1,1fr);
	gap: 1rem;
}
@media screen and (min-width: 60em) {
	.layout.grid {
		grid-template-columns: repeat(12,1fr);
	}
	.layout.grid .column {
		grid-column: span var(--span);
	}
}

/*
.layout .blocks figure {
	margin: 0; padding: 0;
}
.layout .blocks figure[data-ratio="1/1"] {
	aspect-ratio: 1/1;
}
.layout .blocks figure[data-ratio="16/9"] {
	aspect-ratio: 16/9;
}
.layout .blocks figure[data-ratio="10/8"] {
	aspect-ratio: 10/8;
}
.layout .blocks figure[data-ratio="21/9"] {
	aspect-ratio: 21/9;
}
.layout .blocks figure[data-ratio="7/5"] {
	aspect-ratio: 7/5;
}
.layout .blocks figure[data-ratio="4/3"] {
	aspect-ratio: 4/3;
}
.layout .blocks figure[data-ratio="5/3"] {
	aspect-ratio: 5/3;
}
.layout .blocks figure[data-ratio="3/2"] {
	aspect-ratio: 3/2;
}
.layout .blocks figure[data-ratio="3/1"] {
	aspect-ratio: 3/1;
}
.layout .blocks figure[data-ratio] > img {
	width: 100%;
	height: 100%;
}
.layout .blocks figure[data-crop] > img {
	object-fit: cover;
}
*/
.galleries,
.layout .blocks .gallery > ul {
	margin: 0; padding: 0;
	list-style-type: none;
	display: grid;
	gap: 1rem;
	grid-template-columns: repeat(auto-fill,minmax(228px,1fr));
}
.galleries > .gallery,
.layout .blocks .gallery > ul > li {
	margin: 0; padding: 0;
}

.galleries > .gallery {
	position: relative;
	display: grid;
	grid-template-areas: 'card';
}
.galleries > .gallery img {
	display: block;
	grid-area: card;
}
.galleries > .gallery .caption {
	grid-area: card;
	align-self: flex-end;
	width: 100%;
	padding: 0.25rem 0.5rem;
	color: var(--color-white);
	background-color: rgba(0,0,0,0.7);

}
.galleries > .gallery .caption a {
	font-size: var(--font-size-small);
	line-height: 1.2;
	text-decoration: none;
}
.galleries > .gallery .caption a:hover,
.galleries > .gallery .caption a:focus,
.galleries > .gallery .caption a:active {
	color: var(--color-secondary);
}
.galleries > .gallery a:after {
	content: '';
	position: absolute;
	left: 0; top: 0; right: 0; bottom: 0;
}

/* gallery
.layout .blocks figure > ul {
	margin: 0; padding: 0;
	list-style-type: none;
	display: grid;
	gap: 1rem;
	grid-template-columns: repeat(auto-fill,minmax(228px,1fr))
}
.layout .blocks figure > ul > li {
	margin: 0; padding: 0:
}
*/
.layout .blocks > * {
	margin: 0;
}
.layout .blocks > * + * {
	margin-block-start: 1rem;
}

.blocks figure {
	margin: 0; padding: 0;
}
figure:has(.img-caption) {
	position: relative;
}
figure:has(.img-caption) img {
	display: block;
}
figure:has(.img-caption) .img-caption {
	position: absolute;
	bottom: 0;
	left: 0; right: 0;
	padding: 0.25rem 0.5rem;
	font-size: var(--font-size-xsmall);
	color: var(--color-grey-lightest);
	background-color: rgba(0,0,0,0.6);
	text-align: right;
}
